Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Max <[email-masked]>
To: [email-masked]
Date: Sat, 14 May 2022 05:01:00 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers Hello there,
                    I want to know how can I utilize my gift vouchers ? I have 3 of them one is of 4bd and 2 of them are of 2 bd when I try to  shop online and enter my vouchers it asks about 25 characters to fill and a pin code I tried by using the gift voucher it's unresponsive.. I don't know whom to approach for assistance please guide me in person I also ask for help in store Juffair mall but they were iresponsive anyhow I want to use my gift voucher which are unable to be used. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4295017